"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.withPackages = void 0;
const packages = {
    dev: {
        // tailwind
        tailwindcss: "^3.4.1",
        postcss: "^8.4.35",
        autoprefixer: "^10.4.17",
        // prisma
        prisma: "^5.10.2",
    },
    normal: {
        // prisma
        "@prisma/client": "^5.10.2",
        // trpc
        "@tanstack/solid-query": "^5.28.5",
        "@trpc/client": "^10.45.1",
        "@trpc/server": "^10.45.1",
        "@solid-mediakit/trpc": "^3.0.1",
        // next auth
        "@solid-mediakit/auth": "^2.0.7",
        "@auth/core": "^0.28.0",
        "@auth/prisma-adapter": "^1.5.0",
    },
};
function withPackages(optIn) {
    const devs = {};
    const normals = {};
    for (const keyType in optIn) {
        const __curr = optIn[keyType];
        const arrOptIn = Array.isArray(__curr) ? __curr : [__curr];
        for (const curr of arrOptIn) {
            const name = (curr === null || curr === void 0 ? void 0 : curr.includes("->")) ? curr.split("->")[0] : curr;
            if (keyType === "dev") {
                devs[name] =
                    packages.dev[curr];
            }
            else {
                normals[name] =
                    packages.normal[curr];
            }
        }
    }
    return [normals, devs];
}
exports.withPackages = withPackages;
